Index: branches/rsr.v5.1.1/web/punbb/include/template/admin.tpl
===================================================================
--- branches/rsr.v5.1.dev/web/punbb/include/template/admin.tpl	(revision 1)
+++ branches/rsr.v5.1.1/web/punbb/include/template/admin.tpl	(revision 4)
@@ -1,13 +1,14 @@
 <!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
-
-<html dir="<pun_content_direction>">
+<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="<pun_language>" lang="<pun_language>" dir="<pun_content_direction>">
 <head>
-<meta http-equiv="Content-Type" content="text/html; charset=<pun_char_encoding>" />
+<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
 <pun_head>
 </head>
+
 <body>
 
-<div id="punwrap">
 <div id="punadmin" class="pun">
+<div class="top-box"><div><!-- Top Corners --></div></div>
+<div class="punwrap">
 
 <div id="brdheader" class="block">
@@ -24,9 +25,12 @@
 <pun_announcement>
 
+<div id="brdmain">
 <pun_main>
+</div>
 
 <pun_footer>
 
 </div>
+<div class="end-box"><div><!-- Bottom Corners --></div></div>
 </div>
 
Index: branches/rsr.v5.1.1/web/punbb/include/template/help.tpl
===================================================================
--- branches/rsr.v5.1.dev/web/punbb/include/template/help.tpl	(revision 1)
+++ branches/rsr.v5.1.1/web/punbb/include/template/help.tpl	(revision 4)
@@ -1,17 +1,21 @@
 <!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
-
-<html dir="<pun_content_direction>">
+<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="<pun_language>" lang="<pun_language>" dir="<pun_content_direction>">
 <head>
-<meta http-equiv="Content-Type" content="text/html; charset=<pun_char_encoding>" />
+<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
 <pun_head>
 </head>
+
 <body>
 
-<div id="punwrap">
-<div id="helpfile" class="pun">
+<div id="punhelp" class="pun">
+<div class="top-box"><div><!-- Top Corners --></div></div>
+<div class="punwrap">
 
+<div id="brdmain">
 <pun_main>
+</div>
 
 </div>
+<div class="end-box"><div><!-- Bottom Corners --></div></div>
 </div>
 
Index: branches/rsr.v5.1.1/web/punbb/include/template/index.html
===================================================================
--- branches/rsr.v5.1.dev/web/punbb/include/template/index.html	(revision 1)
+++ branches/rsr.v5.1.1/web/punbb/include/template/index.html	(revision 4)
@@ -1,8 +1,1 @@
-<html>
-<head>
-<title>.</title>
-</head>
-<body>
-.
-</body>
-</html>
+<html><head><title>.</title></head><body>.</body></html>
Index: branches/rsr.v5.1.1/web/punbb/include/template/main.tpl
===================================================================
--- branches/rsr.v5.1.dev/web/punbb/include/template/main.tpl	(revision 1)
+++ branches/rsr.v5.1.1/web/punbb/include/template/main.tpl	(revision 4)
@@ -1,15 +1,19 @@
 <!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
-
-<html dir="<pun_content_direction>">
+<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="<pun_language>" lang="<pun_language>" dir="<pun_content_direction>">
 <head>
-<meta http-equiv="Content-Type" content="text/html; charset=<pun_char_encoding>" />
+<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
 <pun_head>
 </head>
+
 <body>
-<div id="punwrap">
+
 <div id="pun<pun_page>" class="pun">
-  <div id="brdheader" class="block">
+<div class="top-box"><div><!-- Top Corners --></div></div>
+<div class="punwrap">
+
+<div id="brdheader" class="block">
 	<div class="box">
 		<div id="brdtitle" class="inbox">
+			<pun_title>
 			<pun_desc>
 		</div>
@@ -17,13 +21,16 @@
 		<pun_status>
 	</div>
-  </div>
+</div>
 
 <pun_announcement>
 
+<div id="brdmain">
 <pun_main>
+</div>
 
 <pun_footer>
 
 </div>
+<div class="end-box"><div><!-- Bottom corners --></div></div>
 </div>
 
Index: branches/rsr.v5.1.1/web/punbb/include/template/maintenance.tpl
===================================================================
--- branches/rsr.v5.1.dev/web/punbb/include/template/maintenance.tpl	(revision 1)
+++ branches/rsr.v5.1.1/web/punbb/include/template/maintenance.tpl	(revision 4)
@@ -1,24 +1,21 @@
 <!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
-
-<html dir="<pun_content_direction>">
+<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="<pun_language>" lang="<pun_language>" dir="<pun_content_direction>">
 <head>
-<meta http-equiv="Content-Type" content="text/html; charset=<pun_char_encoding>" />
+<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
 <pun_head>
 </head>
+
 <body>
 
-<div id="punwrap">
 <div id="punmaint" class="pun">
+<div class="top-box"><div><!-- Top Corners --></div></div>
+<div class="punwrap">
 
-<div class="block">
-	<h2><pun_maint_heading></h2>
-	<div class="box">
-		<div class="inbox">
-			<p><pun_maint_message></p>
-		</div>
-	</div>
+<div id="brdmain">
+<pun_maint_main>
 </div>
 
 </div>
+<div class="end-box"><div><!-- Bottom Corners --></div></div>
 </div>
 
Index: branches/rsr.v5.1.1/web/punbb/include/template/redirect.tpl
===================================================================
--- branches/rsr.v5.1.dev/web/punbb/include/template/redirect.tpl	(revision 1)
+++ branches/rsr.v5.1.1/web/punbb/include/template/redirect.tpl	(revision 4)
@@ -1,21 +1,17 @@
 <!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
-
-<html dir="<pun_content_direction>">
+<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="<pun_language>" lang="<pun_language>" dir="<pun_content_direction>">
 <head>
-<meta http-equiv="Content-Type" content="text/html; charset=<pun_char_encoding>" />
+<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
 <pun_head>
 </head>
+
 <body>
 
-<div id="punwrap">
 <div id="punredirect" class="pun">
+<div class="top-box"><div><!-- Top Corners --></div></div>
+<div class="punwrap">
 
-<div class="block">
-	<h2><pun_redir_heading></h2>
-	<div class="box">
-		<div class="inbox">
-			<p><pun_redir_text></p>
-		</div>
-	</div>
+<div id="brdmain">
+<pun_redir_main>
 </div>
 
@@ -23,4 +19,5 @@
 
 </div>
+<div class="end-box"><div><!-- Bottom Corners --></div></div>
 </div>
 
